#!/bin/bash
 
#highcharts sanity check

function zipit() {
	:
}

#~ Include general library (should go in all sanity scripts.)
if [ ! -f /usr/local/nagiosxi/html/includes/components/sanitychecks/sanitylib.sh ];then
    echo "Sanity Checks Component not installed"
    exit 1
else 
    . /usr/local/nagiosxi/html/includes/components/sanitychecks/sanitylib.sh
fi

do_these_files_exist $COMPONENTS/highcharts/highcharts.inc.php \
	$COMPONENTS/highcharts/exporting-server/index.php \
	$COMPONENTS/highcharts/graphics/skies.jpg \
	$COMPONENTS/highcharts/graphics/snow.png \
	$COMPONENTS/highcharts/graphics/sun.png \
	$COMPONENTS/highcharts/js/highcharts.js \
	$COMPONENTS/highcharts/js/highcharts-more.js \
	$COMPONENTS/highcharts/js/highcharts.src.js \
	$COMPONENTS/highcharts/js/adapters/mootools-adapter.js \
	$COMPONENTS/highcharts/js/adapters/mootools-adapter.src.js \
	$COMPONENTS/highcharts/js/adapters/prototype-adapter.js \
	$COMPONENTS/highcharts/js/adapters/prototype-adapter.src.js \
	$COMPONENTS/highcharts/js/modules/canvas-tools.js \
	$COMPONENTS/highcharts/js/modules/canvas-tools.src.js \
	$COMPONENTS/highcharts/js/modules/exporting.js \
	$COMPONENTS/highcharts/js/modules/exporting.src.js \
	$COMPONENTS/highcharts/js/themes/dark-blue.js \
	$COMPONENTS/highcharts/js/themes/dark-green.js \
	$COMPONENTS/highcharts/js/themes/gray.js \
	$COMPONENTS/highcharts/js/themes/grid.js

is_component $COMPONENTS/highcharts/highcharts.inc.php 

print_results
