#!/bin/bash

#watchguard configwizard sanity check

function zipit() {
	:
}

#~ Include general library (should go in all sanity scripts.)
if [ ! -f /usr/local/nagiosxi/html/includes/components/sanitychecks/sanitylib.sh ];then
    echo "Sanity Checks Component not installed"
    exit 1
else 
    . /usr/local/nagiosxi/html/includes/components/sanitychecks/sanitylib.sh
fi

do_these_files_exist $WIZARDS/watchguard/watchguard.inc.php $LIBEXEC/check_snmp_generic.pl 

is_wizard $WIZARDS/watchguard/watchguard.inc.php

can_nagios_execute  $LIBEXEC/check_snmp_generic.pl 

can_apache_execute  $LIBEXEC/check_snmp_generic.pl 

are_these_packages_installed perl net-snmp net-snmp-perl

templates_exist xiwizard_generic_host xiwizard_generic_service xiwizard_watchguard_host xiwizard_watchguard_service 

commands_exist check_xi_service_snmp_watchguard check_xi_host_ping check_xi_service_snmp_watchguard 

print_results
