#!/bin/bash

#windowsdesktop config wizard  sanity check

function zipit() {
	:
}

#~ Include general library (should go in all sanity scripts.)
if [ ! -f /usr/local/nagiosxi/html/includes/components/sanitychecks/sanitylib.sh ];then
    echo "Sanity Checks Component not installed"
    exit 1
else 
    . /usr/local/nagiosxi/html/includes/components/sanitychecks/sanitylib.sh
fi

do_these_files_exist $WIZARDS/windowsdesktop/windowsdesktop.inc.php $LIBEXEC/check_nt $LIBEXEC/check_nrpe

is_wizard $WIZARDS/windowsdesktop/windowsdesktop.inc.php

templates_exist xiwizard_windowsdesktop_host wizard_windowsdesktop_nsclient_service xiwizard_windowsdesktop_ping_service

commands_exist check_nt check_nrpe

does_user_own nagios $WIZARDS/windowsdesktop/windowsdesktop.inc.php $LIBEXEC/check_nrpe

does_user_own root $LIBEXEC/check_nt 

does_group_groupown nagios $WIZARDS/windowsdesktop/windowsdesktop.inc.php $LIBEXEC/check_nrpe

does_group_groupown root $LIBEXEC/check_nt 

print_results
