#!/bin/bash

#alertcloud component sanity check

function zipit() {
	:
}

#~ Include general library (should go in all sanity scripts.)
if [ ! -f /usr/local/nagiosxi/html/includes/components/sanitychecks/sanitylib.sh ];then
    echo "Sanity Checks Component not installed"
    exit 1
else 
    . /usr/local/nagiosxi/html/includes/components/sanitychecks/sanitylib.sh
fi

do_these_files_exist $COMPONENTS/alertcloud/alertcloud.inc.php \
	$COMPONENTS/alertcloud/alertcloud.inc.php \
	$COMPONENTS/alertcloud/alertcloud.js \
	$COMPONENTS/alertcloud/alertcloud.swf \
	$COMPONENTS/alertcloud/alertcloud.xml \
	$COMPONENTS/alertcloud/dashlet.inc.php \
	$COMPONENTS/alertcloud/index.php \
	$COMPONENTS/alertcloud/xmldata.php 

is_component $COMPONENTS/alertcloud/alertcloud.inc.php

can_nagios_execute $COMPONENTS/alertcloud/alertcloud.swf

can_apache_execute $COMPONENTS/alertcloud/alertcloud.swf

print_results
